%bcond_without systemd

Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.9.3
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	https://github.com/Irqbalance/irqbalance/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		irqbalance-1.9.3-mga-fix-service-env-path.patch
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	irqbalance.1
Requires(post):  rpm-helper
Requires(preun): rpm-helper
BuildRequires:	gccmakedep
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	numa-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcap-ng)

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure2_5x
%make_build

%install
mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install irqbalance %{buildroot}%{_sbindir}
mkdir -p %{buildroot}{%{_initrddir},%{_sysconfdir}/sysconfig}
install %{SOURCE1} %{buildroot}%{_initrddir}/irqbalance
install %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}%{_mandir}/man1/

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%{_mandir}/man1/*
%{_sbindir}/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*


%changelog
* Thu Feb 15 2024 tex - 1.9.3-1pclos2024
- new version: 1.9.3
